Social Fetch
Bluesky

Get Bluesky post

Get a single Bluesky post by URL.

GET/v1/bluesky/posts
1credit
x-api-key*stringheader

API key (`sfk_...`)

Parameters
1
url*stringquery

Link to the Bluesky post.

min 1 chars · max 4096 chars

Response fields
78

Endpoint-specific response payload.

datalookupStatus
string

Whether the post was found.

one of: found, not_found

Primary post when found.

datapostid
string

Stable Bluesky post URI (at://…).

min 1 chars

datapostcid
stringnullable

Content id when available.

dataposturl
string

Canonical public Bluesky web URL for the post.

min 1 chars

dataposttext
stringnullable

Post text body when available.

datapostcreatedAt
stringnullable

ISO-8601 timestamp when the post was created.

datapostindexedAt
stringnullable

ISO-8601 timestamp when the post was indexed.

Author when found.

dataauthorplatform
string

Social platform for this author.

one of: bluesky

dataauthorplatformUserId
string

Stable Bluesky user id as a string.

min 1 chars

dataauthorhandle
string

Bluesky handle without a leading @.

min 1 chars

dataauthordisplayName
stringnullable

Public display name when available.

dataauthoravatarUrl
stringnullable

Avatar image URL when available.

dataauthorverified
boolean

Whether the profile is marked as verified.

Metrics when found.

datametricslikes
integernullable

Like count when available.

≥ 0

datametricsreposts
integernullable

Repost count when available.

≥ 0

datametricsreplies
integernullable

Reply count when available.

≥ 0

datametricsquotes
integernullable

Quote count when available.

≥ 0

Embed when present.

dataembedkind
string

Normalized embed kind.

one of: external, images, video, record, unknown

External link card when kind is external.

dataembedexternalurl
string

Linked page URL.

min 1 chars

dataembedexternaltitle
stringnullable

Link card title when available.

dataembedexternaldescription
stringnullable

Link card description when available.

dataembedexternalthumbUrl
stringnullable

Link card thumbnail URL when available.

Images when kind is images.

dataembedimages[]url
string

Image URL.

min 1 chars

dataembedimages[]alt
stringnullable

Alt text when available.

Video details when kind is video.

dataembedvideourl
stringnullable

Playable video URL when available.

dataembedvideothumbnailUrl
stringnullable

Video thumbnail URL when available.

dataembedvideoalt
stringnullable

Alt text when available.

Quoted record when kind is record.

dataembedrecorduri
string

Quoted or referenced post URI.

min 1 chars

dataembedrecordcid
stringnullable

Content id when available.

Top-level replies when available.

datareplies[]id
string

Stable Bluesky post URI (at://…).

min 1 chars

datareplies[]cid
stringnullable

Content id when available.

datareplies[]url
string

Canonical public Bluesky web URL for the post.

min 1 chars

datareplies[]text
stringnullable

Post text body when available.

datareplies[]createdAt
stringnullable

ISO-8601 timestamp when the post was created.

datareplies[]indexedAt
stringnullable

ISO-8601 timestamp when the post was indexed.

Author snapshot when available.

datareplies[]authorplatform
string

Social platform for this author.

one of: bluesky

datareplies[]authorplatformUserId
string

Stable Bluesky user id as a string.

min 1 chars

datareplies[]authorhandle
string

Bluesky handle without a leading @.

min 1 chars

datareplies[]authordisplayName
stringnullable

Public display name when available.

datareplies[]authoravatarUrl
stringnullable

Avatar image URL when available.

datareplies[]authorverified
boolean

Whether the profile is marked as verified.

Engagement metrics when available.

datareplies[]metricslikes
integernullable

Like count when available.

≥ 0

datareplies[]metricsreposts
integernullable

Repost count when available.

≥ 0

datareplies[]metricsreplies
integernullable

Reply count when available.

≥ 0

datareplies[]metricsquotes
integernullable

Quote count when available.

≥ 0

Embed when present.

datareplies[]embedkind
string

Normalized embed kind.

one of: external, images, video, record, unknown

External link card when kind is external.

datareplies[]embedexternalurl
string

Linked page URL.

min 1 chars

datareplies[]embedexternaltitle
stringnullable

Link card title when available.

datareplies[]embedexternaldescription
stringnullable

Link card description when available.

datareplies[]embedexternalthumbUrl
stringnullable

Link card thumbnail URL when available.

Images when kind is images.

datareplies[]embedimages[]url
string

Image URL.

min 1 chars

datareplies[]embedimages[]alt
stringnullable

Alt text when available.

Video details when kind is video.

datareplies[]embedvideourl
stringnullable

Playable video URL when available.

datareplies[]embedvideothumbnailUrl
stringnullable

Video thumbnail URL when available.

datareplies[]embedvideoalt
stringnullable

Alt text when available.

Quoted record when kind is record.

datareplies[]embedrecorduri
string

Quoted or referenced post URI.

min 1 chars

datareplies[]embedrecordcid
stringnullable

Content id when available.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/bluesky/posts?url=https://bsky.app/profile/espn.com/post/3lqdfq7fkvm2g" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Bluesky post lookup result.